daginf(1)

NAME
daginf - Endace DAG card information utility

SYNOPSIS
daginf [options]

DESCRIPTION
Used to extract information about the registers of the cards on the machine. Using verbose mode ( -v) gives information about the location of the modules on the card. If a particular DAG card is not specified then daginf displays information about all DAG cards in the machine.

OPTIONS

-d DEVICE

--device DEVICE
    Use the DAG device referred to by DEVICE. Supported syntax includes 0, dag1, and /dev/dag3 to refer to DAG cards, and 0:2, dag1:1, and /dev/dag2:0 to refer to specific streams on cards.

-h

-?

--help

--usage
    Display usage (help) information.

-v

--verbose
    Increase output verbosity. Displays the modules on the card and their location as an offset from the base address.

-V

--version
    Display version information.

EXAMPLE
Get verbose information from the card at dag0 using verbose mode:
    qa2:~# daginf -d0 -v
    id       0
    device   0x3707
    phy addr 0x2d400000
    buf size 134217728 (128MB)
    iom size 65536 (64kB)
    Register enumeration found 12 entries
    0xffa5:     Start v0
    0x0040:         SMBus controller v0
    0x0080:         General v0
    0x0100:         PBM v0
    0x4000:         Exar 83L38 v0
    0x4400:         Exar 83L38 v0
    0x0150:         ROM v1
    0x0180:         E1/T1 HDLC Demap v0
    0x00a0:         DUCK 50MHz v2
    0x0200:         Raw TX v0
    0x1000:         SONIC E1/T1 v0
    0xffff:     End v0
    qa2:~#

BUGS
Report bugs to <support@endace.com>.

LAST UPDATED
$Author: koryn $
$Revision: 2366 $
$Date: 2005-10-18 15:32:32 +1300 (Tue, 18 Oct 2005) $

COPYRIGHT
(c) 2004-2005 Endace Technology, Hamilton, New Zealand. All Rights Reserved.